%global pythonv python3
%global srcname todoman

Name:           %{srcname}
Version:        3.5.0
Release:        1%{?dist}
Summary:        A simple CalDav-based todo manager
License:        ISC
URL:            https://pypi.python.org/pypi/%{srcname}
#Source0:        %%pypi_source
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{pythonv}-devel
BuildRequires:  %{pythonv}-setuptools
BuildRequires:  %{pythonv}-setuptools_scm

Requires:  %{pythonv}-atomicwrites
Requires:  %{pythonv}-click >= 6.0.0
Requires:  %{pythonv}-click-log >= 0.2.1
Requires:  %{pythonv}-configobj
Requires:  %{pythonv}-humanize
Requires:  %{pythonv}-icalendar
Requires:  %{pythonv}-parsedatetime
Requires:  %{pythonv}-dateutil
Requires:  %{pythonv}-pyxdg
Requires:  %{pythonv}-tabulate
Requires:  %{pythonv}-urwid

%description
Todoman is a simple, standards-based, cli todo (aka: task) manager. Todos are
stored into icalendar files, which means you can sync them via CalDAV using,
for example, vdirsyncer.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%files
# This should say LICENSE (upstream bug).
%license LICENCE
%doc README.rst
%{_bindir}/todo
%{python3_sitelib}/*

%changelog
* Wed Dec 19 2018 nobody <nobody@example.com> - 3.5.0-1
- Update to 3.5.0.

* Mon Oct 01 2018 nobody <nobody@example.com> - 3.4.1-1
- Update to 3.4.1.

* Wed Sep 19 2018 nobody <nobody@example.com> - 3.4.0-2
- Fix requirements.

* Wed Sep 19 2018 nobody <nobody@example.com> - 3.4.0-1
- Initial package
